bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: new chgrp test


From: Jim Meyering
Subject: FYI: new chgrp test
Date: Wed, 13 Dec 2006 13:29:30 +0100

I've just checked in this change:

        * tests/chgrp/default-no-deref: New test.
        * tests/chgrp/Makefile.am (TESTS): Add default-no-deref.

diff --git a/tests/chgrp/Makefile.am b/tests/chgrp/Makefile.am
index 2c8de33..606ab40 100644
--- a/tests/chgrp/Makefile.am
+++ b/tests/chgrp/Makefile.am
@@ -1,7 +1,14 @@
 ## Process this file with automake to produce Makefile.in -*-Makefile-*-.
 AUTOMAKE_OPTIONS = 1.4 gnits

-TESTS = no-x posix-H basic deref recurse
+TESTS = \
+  default-no-deref \
+  basic \
+  deref \
+  no-x \
+  posix-H \
+  recurse
+
 EXTRA_DIST = $(TESTS)
 TESTS_ENVIRONMENT = \
   host_triplet=$(host_triplet) \
diff --git a/tests/chgrp/default-no-deref b/tests/chgrp/default-no-deref
new file mode 100755
index 0000000..5dbbcf5
--- /dev/null
+++ b/tests/chgrp/default-no-deref
@@ -0,0 +1,51 @@
+#!/bin/sh
+# Ensure that chgrp -R does not dereference symlinks.
+
+# Copyright (C) 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+  set -x
+  chgrp --version
+fi
+
+. $srcdir/../group-names
+set _ $groups; shift
+g1=$1
+g2=$2
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit 
$status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir d && touch f && ln -s ../f d/s || framework_failure=1
+
+if test $framework_failure = 1; then
+  echo "$0: failure in testing framework" 1>&2
+  (exit 1); exit 1
+fi
+
+fail=0
+
+chgrp -R $g2 d || fail=1
+test `stat --printf=%g f` = $g1 || fail=1
+
+(exit $fail); exit $fail




reply via email to

[Prev in Thread] Current Thread [Next in Thread]